Bug 1130762 - [abrt] metacity: wl_log(): metacity killed by SIGTRAP
Summary: [abrt] metacity: wl_log(): metacity killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2c057017f288ddca6cac046b442...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 12:53 UTC by D. Charles Pyle
Modified: 2015-12-02 16:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:25:02 UTC


Attachments (Terms of Use)
File: backtrace (23.07 KB, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: core_backtrace (2.45 KB, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: dso_list (7.79 KB, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: environ (2.45 KB, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: maps (36.27 KB, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: open_fds (336 bytes, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details
File: var_log_messages (301 bytes, text/plain)
2014-08-17 12:53 UTC, D. Charles Pyle
no flags Details

Description D. Charles Pyle 2014-08-17 12:53:23 UTC
Description of problem:
I do not know what caused this to happen.  I am using Cinnamon at the moment and didn't even know that Cinnamon used metacity.  I had just been logged in for a couple minutes when the crash occurred.

Version-Release number of selected component:
metacity-3.12.0-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        metacity --replace
crash_function: wl_log
executable:     /usr/bin/metacity
kernel:         3.16.1-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #1 wl_log at src/wayland-util.c:378
 #2 connect_to_socket at src/wayland-client.c:638
 #3 wl_display_connect at src/wayland-client.c:775
 #4 _gdk_wayland_display_open at gdkdisplay-wayland.c:217
 #5 gdk_display_manager_open_display at gdkdisplaymanager.c:456
 #6 gdk_display_open at gdkdisplay.c:1794
 #7 gdk_display_open_default_libgtk_only at gdk.c:398
 #8 gtk_init_check at gtkmain.c:988
 #9 meta_ui_init at ui/ui.c:69

Comment 1 D. Charles Pyle 2014-08-17 12:53:24 UTC
Created attachment 927468 [details]
File: backtrace

Comment 2 D. Charles Pyle 2014-08-17 12:53:25 UTC
Created attachment 927469 [details]
File: cgroup

Comment 3 D. Charles Pyle 2014-08-17 12:53:26 UTC
Created attachment 927470 [details]
File: core_backtrace

Comment 4 D. Charles Pyle 2014-08-17 12:53:27 UTC
Created attachment 927471 [details]
File: dso_list

Comment 5 D. Charles Pyle 2014-08-17 12:53:27 UTC
Created attachment 927472 [details]
File: environ

Comment 6 D. Charles Pyle 2014-08-17 12:53:28 UTC
Created attachment 927473 [details]
File: limits

Comment 7 D. Charles Pyle 2014-08-17 12:53:29 UTC
Created attachment 927474 [details]
File: maps

Comment 8 D. Charles Pyle 2014-08-17 12:53:30 UTC
Created attachment 927475 [details]
File: open_fds

Comment 9 D. Charles Pyle 2014-08-17 12:53:30 UTC
Created attachment 927476 [details]
File: proc_pid_status

Comment 10 D. Charles Pyle 2014-08-17 12:53:31 UTC
Created attachment 927477 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-11-04 15:15:17 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-12-02 03:25:05 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.